<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('reseller_store_name')->nullable()->after('reseller_passport_photo');
            $table->string('reseller_fb_profile')->nullable()->after('reseller_store_name');
            $table->string('reseller_fb_page')->nullable()->after('reseller_fb_profile');
            $table->string('reseller_website')->nullable()->after('reseller_fb_page');
            $table->string('reseller_whatsapp')->nullable()->after('reseller_website');
            $table->string('reseller_telegram')->nullable()->after('reseller_whatsapp');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn([
                'reseller_store_name',
                'reseller_fb_profile',
                'reseller_fb_page',
                'reseller_website',
                'reseller_whatsapp',
                'reseller_telegram'
            ]);
        });
    }
};
